﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample142103;
using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.Models;
using Syncfusion.XlsIO;
using System.Web.Script.Serialization;
using System.Collections;
using Syncfusion.Linq;
using System.Reflection;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
namespace Sample142103.Controllers
{
    public class GridController : Controller
    {
        //
        
        public ActionResult GridFeatures()
        {
            var DataSource = OrderRepository.GetAllRecords().ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult CellEditUpdate(EditableOrder value)
        {
            return Json(value, JsonRequestBehavior.AllowGet);
            //order.Where(w => w.OrderID = "10248").Select(w=> { w.Color = "#278787"; return w });
        }

        public ActionResult CellEditInsert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult CellEditDelete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
      }
}
